##########################################################################
# TPM 2.0 Sample Reset Platform Auth Script -- for development systems 
# Copyright Intel Corporation 2015
# Last update: May 14, 2015
##########################################################################

echo -OFF 
# Copyrights:
# You may copy, distribute, and make derivatives of this script under the 
# following provisions:
#  You must not remove or modify the Intel copyright notice nor these requirements
#  The script must only be used to provision a TPM for use with Intel Technologies
#    For any other use you must get written permission from Intel corporation
 
##########################################################################
# When PlatformAuth is not EMPTY, then the following code is an example of 
#    what is needed to satisfy the PlatformPolicy and set PlatformAuth to Empty
#    so you can use simple PW authorization for other provisioning operations 
##########################################################################
echo **** Start Policy Session for PlatformPolicy
__Tpm2ProvTool StartSession __PolicySha256.sDef 0 > __SetPlatformAuth.log
echo Satisfy PlatformPolicy
echo **** Policy OR (0, PhSecretSHA256)
__Tpm2ProvTool AssertPolicy __PhSecretORSha256.pDef 0 >> __SetPlatformAuth.log
echo **** PH HierarchyChangeAuth  	
__Tpm2ProvTool HierarchyChangeAuth PH EmptyAuth.dat 0 >> __SetPlatformAuth.log
if not %lasterror% == 0 then
echo Did not satisfy PlatformPolicy
goto ERROR
endif

:DONE
echo  ****************************************************
echo  **** Reset Platform Auth Completed Successfully ****
echo  ****************************************************

goto EOF

:ERROR
__Tpm2ProvTool FlushSession 0 >> __SetPlatformAuth.log

goto EOF

:EOF
# Tpm2ProvTool FlushSession 1
